[Xfce4-commits] <xfce-git-migration:master> add scripts to set perms and link hooks into the live repo
Brian J. Tarricone
brian at tarricone.org
Wed Aug 12 03:40:05 CEST 2009
Updating branch refs/heads/master
to 3378273bfd12bef50f3eb23d752612b5033c8b4f (commit)
from b8c26b915244cad04b6218a1fe929de380e4df99 (commit)
commit 3378273bfd12bef50f3eb23d752612b5033c8b4f
Author: Brian J. Tarricone <brian at tarricone.org>
Date: Wed Aug 12 01:38:00 2009 +0000
add scripts to set perms and link hooks into the live repo
set-hooks.sh | 18 ++++++++++++++++++
set-perms.sh | 13 +++++++++++++
2 files changed, 31 insertions(+), 0 deletions(-)
diff --git a/set-hooks.sh b/set-hooks.sh
new file mode 100755
index 0000000..2207153
--- /dev/null
+++ b/set-hooks.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+GIT_REPOS_ROOT=/var/git
+HOOKS_DIR=/usr/local/share/xfce-git-hooks
+HOOKS="update"
+
+pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
+
+for d in `find -type d -name hooks`; do
+ for h in $HOOKS; do
+ rm -f $d/$h
+ ln -sf $HOOKS_DIR/$h $d/$h
+ done
+
+ GIT_DIR=`dirname $d` git config xfce-hooks.mailinglist xfce4-commits at xfce.org
+done
+
+popd &>/dev/null
diff --git a/set-perms.sh b/set-perms.sh
new file mode 100755
index 0000000..cb27624
--- /dev/null
+++ b/set-perms.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+GIT_REPOS_ROOT=/var/git
+
+pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
+
+chown -R root:git-push .
+chmod -R a+r .
+chmod -R ug+w .
+find -type d | xargs chmod a+x
+find -type d | xargs chmod g+s
+
+popd &>/dev/null
More information about the Xfce4-commits
mailing list